diff -Naur kernel.org/conftest.sh kernel/conftest.sh
--- kernel.org/conftest.sh	2024-05-02 22:25:33.000000000 +0800
+++ kernel/conftest.sh	2024-07-26 21:24:43.434506976 +0800
@@ -4592,8 +4593,13 @@
             #
             CODE="
             #include <drm/drm_gem.h>
+            #if defined(NV_LINUX_IOSYS_MAP_H_PRESENT)
+            typedef struct iosys_map nv_sysio_map_t;
+            #else
+            typedef struct dma_buf_map nv_sysio_map_t;
+            #endif
             int conftest_drm_gem_object_vmap_has_map_arg(
-                    struct drm_gem_object *obj, struct dma_buf_map *map) {
+                    struct drm_gem_object *obj, nv_sysio_map_t *map) {
                 return obj->funcs->vmap(obj, map);
             }"
 
